diff --git a/clients/plex/libtizplex/src/tizplex_c.h b/clients/plex/libtizplex/src/tizplex_c.h
index 6e2eca757..fe6434a99 100644
--- a/clients/plex/libtizplex/src/tizplex_c.h
+++ b/clients/plex/libtizplex/src/tizplex_c.h
@@ -142,9 +142,10 @@ extern "C"
    * @ingroup libtizplex
    *
    * @param ap_plex The tiz_plex handle.
+   * @param a_mode The playback mode (e.g. normal, shuffle)
    */
   void tiz_plex_set_playback_mode (tiz_plex_t *ap_plex,
-                                   const tiz_plex_playback_mode_t mode);
+                                   const tiz_plex_playback_mode_t a_mode);
 
   /**
    * Add a Plex audio stream to the playback queue.
diff --git a/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud.cpp b/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud.cpp
index 4413a2796..d12ea4900 100644
--- a/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud.cpp
+++ b/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud.cpp
@@ -383,6 +383,14 @@ void tizsoundcloud::clear_queue ()
   (void)rc;
 }
 
+
+void tizsoundcloud::print_queue ()
+{
+  int rc = 0;
+  try_catch_wrapper (py_sc_proxy_.attr ("print_queue") ());
+  (void)rc;
+}
+
 void tizsoundcloud::set_playback_mode (const playback_mode mode)
 {
   int rc = 0;
diff --git a/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud.hpp b/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud.hpp
index d17b785a2..315c8de52 100644
--- a/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud.hpp
+++ b/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud.hpp
@@ -65,6 +65,8 @@ class tizsoundcloud
   int play_tags (const std::string &tags);
 
   void clear_queue ();
+  void print_queue ();
+
   const char *get_current_audio_track_index ();
   const char *get_current_queue_length ();
   int get_current_queue_length_as_int ();
diff --git a/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud_c.cpp b/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud_c.cpp
index a5c8f4a04..a494d6443 100644
--- a/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud_c.cpp
+++ b/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud_c.cpp
@@ -108,6 +108,13 @@ extern "C" void tiz_scloud_clear_queue (tiz_scloud_t *ap_scloud)
   ap_scloud->p_proxy_->clear_queue ();
 }
 
+extern "C" void tiz_scloud_print_queue (tiz_scloud_t *ap_scloud)
+{
+  assert (ap_scloud);
+  assert (ap_scloud->p_proxy_);
+  ap_scloud->p_proxy_->print_queue ();
+}
+
 extern "C" const char *tiz_scloud_get_current_queue_length (tiz_scloud_t *ap_scloud)
 {
   assert (ap_scloud);
diff --git a/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud_c.h b/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud_c.h
index 02e304933..129194527 100644
--- a/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud_c.h
+++ b/clients/soundcloud/libtizsoundcloud/src/tizsoundcloud_c.h
@@ -87,6 +87,15 @@ extern "C"
    */
   void tiz_scloud_clear_queue (tiz_scloud_t *ap_scloud);
 
+  /**
+   * Print to standard output the contents of the playback queue.
+   *
+   * @ingroup libtizscloud
+   *
+   * @param ap_scloud The tiz_scloud handle.
+   */
+  void tiz_scloud_print_queue (tiz_scloud_t *ap_scloud);
+
   /**
    * Retrieve the current length of playback queue.
    *
@@ -116,11 +125,12 @@ extern "C"
   const char *tiz_scloud_get_current_queue_progress (tiz_scloud_t *ap_scloud);
 
   /**
-   * Clear the playback queue.
+   * Set the playback mode (normal, shuffle).
    *
    * @ingroup libtizsoundcloud
    *
    * @param ap_scloud The soundcloud handle.
+   * @param a_mode The playback mode (e.g. normal, shuffle)
    */
   void tiz_scloud_set_playback_mode (tiz_scloud_t *ap_scloud,
                                      const tiz_scloud_playback_mode_t mode);
diff --git a/player/src/services/soundcloud/tizscloudgraphops.cpp b/player/src/services/soundcloud/tizscloudgraphops.cpp
index 8877b7412..bf54062e5 100644
--- a/player/src/services/soundcloud/tizscloudgraphops.cpp
+++ b/player/src/services/soundcloud/tizscloudgraphops.cpp
@@ -280,6 +280,16 @@ void graph::scloudops::do_store_config (const tizgraphconfig_ptr_t &config)
   playlist_ = config_->get_playlist ();
 }
 
+void graph::scloudops::do_print_playlist ()
+{
+  if (last_op_succeeded ())
+  {
+    assert (!handles_.empty ());
+    G_OPS_BAIL_IF_ERROR (util::request_playlist_print (handles_[0]),
+                         "Unable to print the playlist contents");
+  }
+}
+
 // TODO: Move this implementation to the base class (and remove also from
 // httpservops)
 OMX_ERRORTYPE
diff --git a/player/src/services/soundcloud/tizscloudgraphops.hpp b/player/src/services/soundcloud/tizscloudgraphops.hpp
index 411402b77..98b977bbf 100644
--- a/player/src/services/soundcloud/tizscloudgraphops.hpp
+++ b/player/src/services/soundcloud/tizscloudgraphops.hpp
@@ -55,6 +55,7 @@ namespace tiz
       void do_skip ();
       void do_retrieve_metadata ();
       void do_store_config (const tizgraphconfig_ptr_t &config);
+      void do_print_playlist ();
 
       bool is_fatal_error (const OMX_ERRORTYPE error) const;
       void do_record_fatal_error (const OMX_HANDLETYPE handle,
diff --git a/plugins/http_source/src/scloudprc.c b/plugins/http_source/src/scloudprc.c
index dea15fccd..e6d91a681 100644
--- a/plugins/http_source/src/scloudprc.c
+++ b/plugins/http_source/src/scloudprc.c
@@ -963,6 +963,11 @@ scloud_prc_config_change (void * ap_prc, OMX_U32 TIZ_UNUSED (a_pid),
             }
         }
     }
+  else if (OMX_TizoniaIndexConfigPlaylistPrintAction == a_config_idx
+           && p_prc->p_trans_)
+    {
+      tiz_scloud_print_queue (p_prc->p_scloud_);
+    }
   return rc;
 }
 
